def get_fraction_path(numerator, denominator):
    path = []
    left_numerator, left_denominator = 0, 1  
    right_numerator, right_denominator = 1, 0 
    while True:
        current_numerator = left_numerator + right_numerator
        current_denominator = left_denominator + right_denominator
        
        if current_numerator * denominator < current_denominator * numerator:
            path.append('R')
            left_numerator, left_denominator = current_numerator, current_denominator
        elif current_numerator * denominator > current_denominator * numerator:
            path.append('L')
            right_numerator, right_denominator = current_numerator, current_denominator
        else:
            break
    return ''.join(path)
