from collections import deque, defaultdict
def find_guarded_stores(n, m, roads, k, guards):
    graph = defaultdict(list)
    for a, b in roads:
        graph[a].append(b)
        graph[b].append(a)
    guarded = set()
    for p, h in guards:
        queue = deque([(p, 0)]) 
        visited = set()
        while queue:
            current_store, current_distance = queue.popleft()
            if current_store in visited:
                continue
            visited.add(current_store)
            if current_distance <= h:
                guarded.add(current_store)
            if current_distance < h:
                for neighbor in graph[current_store]:
                    if neighbor not in visited:
                        queue.append((neighbor, current_distance + 1))
    return sorted(guarded)

