from itertools import permutations
def manhattan_distance(point1, point2):
    return abs(point1[0] - point2[0]) + abs(point1[1] - point2[1])
def calculate_route_length(route):
    length = 0
    for i in range(len(route) - 1):
        length += manhattan_distance(route[i], route[i + 1])
    return length
def find_shortest_route(n, points):
    min_length = float('inf')
    all_permutations = permutations(points)
    for perm in all_permutations:
        current_length = calculate_route_length(perm)
        if current_length < min_length:
            min_length = current_length
    return min_length
